Ubuntu 16.04 LTS & WebGL in Parallels

Discussion in 'Linux Guest OS Discussion' started by MichaelS58, Apr 13, 2018.

Tags:
  1. MichaelS58

    MichaelS58 Bit Poster

    Messages:
    1
    Hey, so I've got Ubuntu 16.04 installed as a guest in Parallels, and it's working great out of the box, but nothing can detect supported WebGL at all.

    parallels@parallels-vm:~$ glxinfo | grep "OpenGL version"
    OpenGL version string: 2.1 ATI-1.66.31​

    GLXGears runs well, but glmark2 fails with:
    parallels@parallels-vm:~$ glmark2
    Error: glXChooseFBConfig() failed
    Error: Error: Couldn't get GL visual config!
    Error: main: Could not initialize canvas​

    Is it possible to get a Ubuntu guest to a point where WebGL is supported?
     
  2. puybaret

    puybaret Bit Poster

    Messages:
    12
    Any news about this? I need to test WebGL applications under Linux too.
     
  3. Maria@Parallels

    Maria@Parallels Parallels Team

    Messages:
    8,494
    Hello, guys, what is your Parallels Desktop version?
    What kind of application would you like to use?
    Could you also collect the tech report once the issue reproduced please and post the report's ID here?
     
    Last edited: Aug 31, 2020
  4. puybaret

    puybaret Bit Poster

    Messages:
    12
    Mine is Version 15.1.4 (47270)
     
  5. Maria@Parallels

    Maria@Parallels Parallels Team

    Messages:
    8,494
    Hi, is it possible to test the same behavior with Parallels Desktop 16 (during the trial period - 14 days).
    And if the issue reoccurs, please collect the tech report right after that.
    Looking forward to your reply.
    Thanks a lot for your time and cooperation.
     

Share This Page